## OMA Event Report indication OMA Event Report indication |

## Functions

QmiIndicationOmaEventReportOutput * | qmi_indication_oma_event_report_output_ref ()
void | qmi_indication_oma_event_report_output_unref ()
gboolean | qmi_indication_oma_event_report_output_get_session_fail_reason ()
gboolean | qmi_indication_oma_event_report_output_get_session_state ()
gboolean | qmi_indication_oma_event_report_output_get_network_initiated_alert ()

## Types and Values

| QmiIndicationOmaEventReportOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationOmaEventReportOutput

## Description

## Functions

### qmi_indication_oma_event_report_output_ref ()

    QmiIndicationOmaEventReportOutput *
    qmi_indication_oma_event_report_output_ref
                                   (QmiIndicationOmaEventReportOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationOmaEventReportOutput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_indication_oma_event_report_output_unref ()

    void
    qmi_indication_oma_event_report_output_unref
                                   (QmiIndicationOmaEventReportOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationOmaEventReportOutput. |

Since: 1.6

### qmi_indication_oma_event_report_output_get_session_fail_reason ()

    gboolean
    qmi_indication_oma_event_report_output_get_session_fail_reason
                                   (QmiIndicationOmaEventReportOutput *self,
                                    QmiOmaSessionFailedReason *value_session_fail_reason,
                                    GError **error);

Get the 'Session Fail Reason' field from `self` .

#### Parameters

self | a QmiIndicationOmaEventReportOutput. |
value_session_fail_reason | a placeholder for the output QmiOmaSessionFailedReason, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_indication_oma_event_report_output_get_session_state ()

    gboolean
    qmi_indication_oma_event_report_output_get_session_state
                                   (QmiIndicationOmaEventReportOutput *self,
                                    QmiOmaSessionState *value_session_state,
                                    GError **error);

Get the 'Session State' field from `self` .

#### Parameters

self | a QmiIndicationOmaEventReportOutput. |
value_session_state | a placeholder for the output QmiOmaSessionState, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_indication_oma_event_report_output_get_network_initiated_alert ()

    gboolean
    qmi_indication_oma_event_report_output_get_network_initiated_alert
                                   (QmiIndicationOmaEventReportOutput *self,
                                    QmiOmaSessionType *value_network_initiated_alert_session_type,
                                    guint16 *value_network_initiated_alert_session_id,
                                    GError **error);

Get the 'Network Initiated Alert' field from `self` .

#### Parameters

self | a QmiIndicationOmaEventReportOutput. |
value_network_initiated_alert_session_type | a placeholder for the output QmiOmaSessionType, or `NULL` if not required. | [out][optional]
value_network_initiated_alert_session_id | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

## Types and Values

### QmiIndicationOmaEventReportOutput

    typedef struct _QmiIndicationOmaEventReportOutput QmiIndicationOmaEventReportOutput;

The QmiIndicationOmaEventReportOutput structure contains private data and should only be accessed using the provided API.

Since: 1.6